GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
VRTDriver Class Reference
Inheritance diagram for VRTDriver:

## Public Member Functions
virtual char ** | GetMetadataDomainList ()
| Fetch list of metadata domains. More...
virtual char ** | GetMetadata (const char *pszDomain="")
| Fetch metadata. More...
virtual CPLErr | SetMetadata (char **papszMetadata, const char *pszDomain="")
| Set metadata. More...
VRTSource * | ParseSource (CPLXMLNode *psSrc, const char *pszVRTPath)
void | AddSourceParser (const char *pszElementName, VRTSourceParser pfnParser)
Public Member Functions inherited from GDALDriver
virtual CPLErr | SetMetadataItem (const char *pszName, const char *pszValue, const char *pszDomain="")
| Set single metadata item. More...
GDALDataset * | Create (const char *pszName, int nXSize, int nYSize, int nBands, GDALDataType eType, char **papszOptions) CPL_WARN_UNUSED_RESULT
| Create a new dataset with this driver. More...
CPLErr | Delete (const char *pszName)
| Delete named dataset. More...
CPLErr | Rename (const char *pszNewName, const char *pszOldName)
| Rename a dataset. More...
CPLErr | CopyFiles (const char *pszNewName, const char *pszOldName)
| Copy the files of a dataset. More...
GDALDataset * | CreateCopy (const char *, GDALDataset *, int, char **, GDALProgressFunc pfnProgress, void *pProgressData) CPL_WARN_UNUSED_RESULT
| Create a copy of a dataset. More...
GDALDataset * | DefaultCreateCopy (const char *, GDALDataset *, int, char **, GDALProgressFunc pfnProgress, void *pProgressData) CPL_WARN_UNUSED_RESULT
CPLErr | DefaultRename (const char *pszNewName, const char *pszOldName)
CPLErr | DefaultCopyFiles (const char *pszNewName, const char *pszOldName)
Public Member Functions inherited from GDALMajorObject
int | GetMOFlags () const
void | SetMOFlags (int nFlagsIn)
virtual const char * | GetDescription () const
| Fetch object description. More...
virtual void | SetDescription (const char *)
| Set object description. More...
virtual const char * | GetMetadataItem (const char *pszName, const char *pszDomain="")
| Fetch single metadata item. More...

## Public Attributes
char ** | papszSourceParsers
Public Attributes inherited from GDALDriver
GDALDataset *(* | pfnOpen )(GDALOpenInfo *)
GDALDataset *(* | pfnCreate )(const char *pszName, int nXSize, int nYSize, int nBands, GDALDataType eType, char **papszOptions)
CPLErr(* | pfnDelete )(const char *pszName)
GDALDataset *(* | pfnCreateCopy )(const char *, GDALDataset *, int, char **, GDALProgressFunc pfnProgress, void *pProgressData)
void * | pDriverData
void(* | pfnUnloadDriver )(GDALDriver *)
int(* | pfnIdentify )(GDALOpenInfo *)
| Identify() if the file is recognized or not by the driver. More...
CPLErr(* | pfnRename )(const char *pszNewName, const char *pszOldName)
CPLErr(* | pfnCopyFiles )(const char *pszNewName, const char *pszOldName)
GDALDataset *(* | pfnOpenWithDriverArg )(GDALDriver *, GDALOpenInfo *)
GDALDataset *(* | pfnCreateVectorOnly )(GDALDriver *, const char *pszName, char **papszOptions)
CPLErr(* | pfnDeleteDataSource )(GDALDriver *, const char *pszName)

## Additional Inherited Members
Static Public Member Functions inherited from GDALDriver
static CPLErr | DefaultCopyMasks (GDALDataset *poSrcDS, GDALDataset *poDstDS, int bStrict)
static CPLErr | QuietDelete (const char *pszName)
| Delete dataset if found. More...
Protected Member Functions inherited from GDALMajorObject
char ** | BuildMetadataDomainList (char **papszList, int bCheckNonEmpty,...) CPL_NULL_TERMINATED
| Helper function for custom implementations of GetMetadataDomainList() More...
Protected Attributes inherited from GDALMajorObject
int | nFlags
CPLString | sDescription
GDALMultiDomainMetadata | oMDMD

## Member Function Documentation

char ** VRTDriver::GetMetadata | ( | const char * | pszDomain = `""` | ) |
| virtual

Fetch metadata.

The returned string list is owned by the object, and may change at any time. It is formatted as a "Name=value" list with the last pointer value being NULL. Use the CPL StringList functions such as CSLFetchNameValue() to manipulate it.

Note that relatively few formats return any metadata at this time.

This method does the same thing as the C function GDALGetMetadata().

Parameters

  pszDomain | the domain of interest. Use "" or NULL for the default domain.

Returns
  NULL or a string list.

Reimplemented from GDALMajorObject.

char ** VRTDriver::GetMetadataDomainList | ( |  | ) |
| virtual

Fetch list of metadata domains.

The returned string list is the list of (non-empty) metadata domains.

This method does the same thing as the C function GDALGetMetadataDomainList().

Returns
  NULL or a string list. Must be freed with CSLDestroy()

Since
  GDAL 1.11

Reimplemented from GDALMajorObject.

CPLErr VRTDriver::SetMetadata | ( | char ** | papszMetadataIn,
|  | const char * | pszDomain = `""`
| ) |  |
| virtual

Set metadata.

The C function GDALSetMetadata() does the same thing as this method.

Parameters

  papszMetadataIn | the metadata in name=value string list format to apply.
  pszDomain | the domain of interest. Use "" or NULL for the default domain.

Returns
  CE_None on success, CE_Failure on failure and CE_Warning if the metadata has been accepted, but is likely not maintained persistently by the underlying object between sessions.

Reimplemented from GDALMajorObject.

The documentation for this class was generated from the following files:

- vrtdataset.h
- vrtdriver.cpp

Generated for GDAL by 1.8.8.